export interface ICodeListItem {
    codeList: string;
    code: string;
    codeGroup?: string;
    unit?: string;
    description?: string;
    validFrom?: Date;
    validTo?: Date;
    created?: Date;
    updated?: Date;
    data?:any;
    readWrite?: boolean;
}

export class CodeListItem implements ICodeListItem {
  public codeList: string;
  public code: string;
  public codeGroup?: string;
  public unit?: string;
  public description:string;
  public validFrom?: Date;
  public validTo?: Date;
  public created?: Date;
  public updated?: Date;
  public data?:any;
  public readWrite?: boolean;

  constructor() {  
  }
}
